# Interface methods for submodule: ShiftScaleImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ShiftScaleImageFilter
class ShiftScaleImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetShift(self, _arg: float) -> None:
		""""""
		...

	def GetShift(self) -> float:
		""""""
		...

	def SetScale(self, _arg: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def GetUnderflowCount(self) -> int:
		""""""
		...

	def GetOverflowCount(self) -> int:
		""""""
		...

